Bug 815854 - Designer's Expression editor ignores KeyPress events for some keys (with IE)
Designer's Expression editor ignores KeyPress events for some keys (with IE)
Status: MODIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Tihomir Surdilovic
Jiri Locker
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-24 12:22 EDT by Jiri Locker
Modified: 2012-07-02 14:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When accessing the Process Designer with Internet Explorer, the process designer's action scripts editor does not respond to certain key presses, for instance, backspace, delete and the arrow keys.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-24 13:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Locker 2012-04-24 12:22:11 EDT
Description of problem:
The editor for action scripts (task node Script property) is now very awkward to work with. It ignores KeyPress events for Backspace, Delete and arrow keys. That means when one of these keys is kept pressed the cursore doesn't move/delete characters repeatedly (if you want to delete 10 characters before cursor, you have to hit Backspace 10 times).

Version-Release number of selected component (if applicable):
ER6

Steps to Reproduce:
1. in designer, activate any task node and access its Script property
2. bring up the Expression editor by clicking down arrow on the rigt side of the property value box
3. type some stuff and try to press the mentioned keys

Actual results:
See description.

Expected results:
The mentioned keys should work as expected: the cursor moves/deletes characters repeatedly until the key is let go of.

Additional info:
Comment 1 Tihomir Surdilovic 2012-04-24 12:44:47 EDT
Sorry but I cannot reproduce this on FF 11.0 or Chrome 18.0.1025.165. Can you let me know what browser type+version you are testing with?

Thanks.
Comment 2 Jiri Locker 2012-04-24 13:27:14 EDT
Sorry, I'm still stuck with FF 3.6 :) Tried with FF 8 and it works.

Let me also look at Safari 5 and IE 8, 9. If it works there, we can close this as FF 3 is not supported for BRMS 5.3.
Comment 3 Jiri Locker 2012-04-24 13:27:51 EDT
Closed accidentaly. Reopening
Comment 4 Tihomir Surdilovic 2012-04-24 13:40:03 EDT
Designer is not supported on IE. You can try IE+Chrome Frame installed and see if that works. Not sure honestly about support on Safari.
Comment 5 Tihomir Surdilovic 2012-04-24 13:40:37 EDT
FF and Chrome should be target browsers.
Comment 6 Prakash Aradhya 2012-04-30 12:14:21 EDT
There is a larger question around IE support.
However reported issue is annoying, but not necessarily a blocker
Comment 8 lcarlon 2012-06-07 22:30:00 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When accessing the Process Designer with Internet Explorer, the process designer's action scripts editor does not respond to certain key presses, for instance, backspace, delete and the arrow keys.

Note You need to log in before you can comment on or make changes to this bug.